/* Necrohack semi-minify social sprites.css (c) Cyber Art 2026 */
.social {
    display: flex;
    flex-wrap: wrap;           /* allow wrapping */
    gap: 7px 10px;             /* horizontal gap 8px, vertical gap 12px */
    margin-top: 4px;
    justify-content: left; /* center icons */
}

.icons {margin:0 auto;
width:50px;
height:50px;
display: inline-flex;
align-items: center;
justify-content: center;
background: #555 url("../../data/img/icon.png") no-repeat center/522px 522px;
border: 2px solid var(--text-color);
border-radius: 50%;
color: transparent;
text-decoration: none;
white-space: nowrap;
font-size:0px;
transition: border-color 0.3s ease-in-out , box-shadow 0.3s ease-in-out;
position: relative;
}

.icons:hover {border-color:var(--border-color);}
.icons:focus-visible {border-color:#333;}

.facebook{background-position: -26px -26px;}
.youtube{background-position: -96px -236px;}
.bandcamp{background-position: -26px -166px;}
.twitter{background-position: -26px -96px;}
.instagram{background-position: -96px -26px;}
.flickr{background-position: -96px -96px;}
.etsy{background-position: -306px -166px;}
.vimeo{background-position: -166px -236px;}
.paypal{background-position: -236px -166px;}
.twitch{background-position: -166px -166px;}
.reddit{background-position: -236px -26px;}



@media (prefers-reduced-motion: reduce) {
  .icons {transition: none;}
}
